!--------------------------------------------------------------------
!
!  Este programa calcula el ln(1+x) con |x|<1 mediante
!  Desarrollo en serie de Taylor.
!   (Se omiten las tildes en los textos por pantalla)
!
!   Autores: J. París & Grupo de Métodos Numéricos en Ingeniería
!
!            Copyright:
!   Este programa es propiedad de sus autores.
!   No puede utilizarse con fines comerciales sin conocimiento
!   y autorización de sus autores.
!   Puede utilizarse con fines educativos sin ninguna restricción.
!
!--------------------------------------------------------------------

      program neperianounomasx
      implicit integer*4(i-n)
      implicit real*8(a-h,o-z)

      write(6,'(/a/)')'Calculo del ln(1+x) con |x|<1'

      write(6,*)'Indique el numero de terminos del desarrollo en serie'
      read(5,*)n

      write(6,*)'Indique el valor de x'
      read(5,*)x

      vln=0.d+00
      signo=1.d+00
      do i=1,n
        vln=vln+signo/dble(i)*(x**i) ! Esta forma de calcular repite muchas operaciones
        signo=-signo  ! Cambiamos el signo para el siguiente termino que sumemos
      enddo

      write(6,*)'El ln(1+x) mediante desarrollo en serie es:   ',vln
      write(6,*)'El ln(1+x) mediante la funcion de Fortran es: ',
     &           log(1.d+00+x)

      write(6,*)
      write(6,*)'Pulsa ENTER para finalizar el programa'
      read(5,*)   ! Se añade esta instrucción para ejecutar el programa
                  ! haciendo doble-click directamente en el fichero *.exe
      end



